## cmake-extras 0.7+16.04.20160513

=== CMakeLists.txt ===
project(cmake-extras)
cmake_minimum_required(VERSION 2.8.9)

install(
  DIRECTORY "src/"
  DESTINATION "${CMAKE_ROOT}/Modules/"
  USE_SOURCE_PERMISSIONS 
)
