=== intltool-demo/po/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
     POTFILES_TEMPLATE "POTFILES.in.in"
     GETTEXT_PACKAGE ${GETTEXT_PACKAGE}
     COPYRIGHT_HOLDER "Foocorp Ltd."
+    FILTER ".*test.*"
 )
 
 intltool_install_translations(
