=== debian/changelog ===
cmake-extras (1.3+17.04.20170310-5) unstable; urgency=medium

  * debian/patches:
    + Update/fix 1002_fix-googletest-1_8_1-1.patch. Now this really resolves
      #910935.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Oct 2018 14:44:44 +0200

cmake-extras (1.3+17.04.20170310-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * debian/control:
    + Use new python-clang metapackage to bring always the latest version
    + Fixup VCS URL.

  [ Mike Gabriel ]
  * debian/control:
    + Update Section: to devel.
    + Bump Standards-Version: to 4.2.1. No changes needed.
  * debian/patches:
    + Add 1002_fix-googletest-1_8_1-1.patch. Make GMockConfig.cmake work with
      googletest/1.8.1-1. (Closes: #910935).
  + debian/rules:
    + Drop unneeded DH argument --parallel.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Oct 2018 16:40:48 +0200

cmake-extras (1.3+17.04.20170310-3) unstable; urgency=medium

  * debian/tests/control:
    + Fix includechecker test. Use clang 6.0 for running the test. Thanks to
      Gianfranco Costamagna. (Closes: #906255).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Aug 2018 11:51:38 +0200

cmake-extras (1.3+17.04.20170310-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Switch back to Python2 implementation, the Python3 switch breaks
    testsuite. (Closes: #870039).
  * More verbosity in failing test.

  [ Mike Gabriel ]
  * debian/patches:
    + Enable 0003_75_74.patch. By accident not added to series file in previous
      upload.
  * debian/control:
    + Add Debian CMake Team to Uploaders: field.
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Set Priority: to optional.
    + Package now complies with Standards-Version: 4.2.0.
  * debian/{control,compat}: Switch to DH compat level version 11.
  * debian/patches:
    + Enable 0003_75_74.patch. By accident not added to series file in previous
      upload.
  * debian/watch:
    + Use secure URL for upstream tarball download.
  * debian/examples:
    + Add file. Install doxygenbuilder-demo examples into doc/ folder of this
      package.
  * debian/copyright:
    + Use secure URI to obtain copyright format reference.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Aug 2018 18:34:51 +0200

cmake-extras (1.3+17.04.20170310-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #863191).
  * debian/control:
    + Debianize package (Maintainer: field, Uploaders: field, Vcs-*: fields)
    + Provide more package info in LONG_DESCRIPTION.
    + Add D (cmake-extras): python3.~
  * debian/source/format:
    + Use 3.0 (quilt) in Debian.
  * debian/patches:
    + Add empty folder with README about patch naming scheme.
    + Cherry-pick Bzr rev73. Including various changes on debian/*.
    + Cherry-pick Bzr rev74. Including various changes on debian/*.
    + Cherry-pick Bzr rev75.
    + Add 1001_ensure-python3-usage.patch. Convert include_checker.py to
      Python3.
  * debian/watch:
    + Add file, point to Ubuntu's orig.tar.gz as no official tarball releases
      are available.
  * debian/copyright:
    + This src:package is strictly licensed under LGPL-3, not LGPL-3+. Fix full
      text in license paragraph accordingly.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Jul 2017 11:43:00 +0200

cmake-extras (1.3+17.04.20170310-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * Make GDBus source name generation work like more conventional macros.

 -- Pete Woods <pete.woods@canonical.com>  Fri, 10 Mar 2017 12:38:01 +0000

cmake-extras (1.2+17.04.20170228-0ubuntu1) zesty; urgency=medium

  * Add function to compile GSettings schemas. (LP: #1664714)
  * Handle merging translations into non-ini file types. (LP: #1664325)
  * Append file globs for translation template function. (LP: #1664345)
  * Use already unique translation template as target name.
  * Add a GDbus module for using gdbus-codegen in cmake projects.
  * Refactor GSettings module to provide a compile_schemas macro. (LP:
    #1664714)
  * Handle other style options for merging, and no translations for xml
    style. (LP: #1664325)
  * Append file globs rather than resetting the variable. (LP: #1664345)
  * Don't use the gettext unique target magic for pot files.
  * Add a module for using gdbus-codegen code with cmake.

 -- Rodney Dawes <rodney.dawes@canonical.com>  Tue, 28 Feb 2017 17:48:00 +0000

cmake-extras (1.2+17.04.20170213-0ubuntu1) zesty; urgency=medium

  * Add autopkgtest for gsettings macro.
  * Handle generated gschema files. (LP: #1661686)

 -- Rodney Dawes <rodney.dawes@canonical.com>  Mon, 13 Feb 2017 18:16:40 +0000

cmake-extras (1.1+17.04.20170209-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * Add IncludeChecker macro.
  * Add FILTER argument to intltool macros.

 -- Pete Woods <pete.woods@canonical.com>  Thu, 09 Feb 2017 12:47:56 +0000

cmake-extras (1.0+17.04.20170110.1-0ubuntu1) zesty; urgency=medium

  * Add autopkgtest for intltool macros
  * Add autopkgtest for DoxygenBuilder macros

 -- Pete Woods <pete.woods@canonical.com>  Tue, 10 Jan 2017 12:06:28 +0000

cmake-extras (0.10+17.04.20161208.1-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * Migrate all modules to unversioned cmake directory.

  [ James Henstridge ]
  * Move coverage report code to use find_package(CoverageReport) rather
    than include(EnableCoverageReport).

 -- Pete Woods <pete.woods@canonical.com>  Thu, 08 Dec 2016 13:54:16 +0000

cmake-extras (0.9+17.04.20161202.1-0ubuntu1) zesty; urgency=medium

  [ Michi Henning ]
  * Added CopyrightTest module.

  [ James Henstridge ]
  * Add an autopkgtest for the find_package(GMock) macro.
  * Move some of the modules out of ${CMAKE_ROOT} and in to the
    unversioned /usr/share/cmake/ directory.

  [ Rodney Dawes ]
  * Simplify the INSTALL_TRANSLATIONS command to avoid regenerating po
    files. (LP: #1645856)

 -- Michi Henning <michi@triodia.com>  Fri, 02 Dec 2016 05:59:21 +0000


