=== debian/control ===
Source: cmake-extras
Section: devel
Priority: optional
Maintainer: Mike Gabriel <sunweaver@debian.org>
Uploaders:
 Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>,
 Debian CMake Team <pkg-cmake-team@lists.alioth.debian.org>,
Build-Depends: cmake,
               debhelper (>= 11),
Standards-Version: 4.2.1
Homepage: https://launchpad.net/cmake-extras
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/cmake-extras.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/cmake-extras

Package: cmake-extras
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         cmake (>= 3.1),
         python,
Description: Extra CMake utility modules
 CMake modules which are used for Ubuntu development. In Debian, this package is
 helpful when porting Ubuntu originated software to Debian.
 .
 Included CMake modules:
 .
   - copyright testing
   - coverage testing
   - building gtest
   - doxygen documentation
   - code formatting
   - GDbus, GMock and GSettings modules
   - intltool helpers
   - QML plugin helper
   - and several more...
