=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
