=== debian/watch ===
version=3
https://archive.ubuntu.com/ubuntu/pool/universe/c/cmake-extras/cmake-extras_([0-9.\+]+).orig.tar.gz
