=== debian/changelog ===
cmake-extras (1.5-7) unstable; urgency=medium

  * debian/patches:
    + Add Forwarded: URL to 1007_fix-FTCBFS-of-googlemock-projects.patch.
  * debian/control:
    + Add D (cmake-extras): pkg-config. (Closes: #973095).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Nov 2020 16:22:28 +0100

cmake-extras (1.5-6) unstable; urgency=medium

  * debian/control:
    + Fix pkgname in Suggests: field.
  * debian/patches:
    + Add 1007_fix-FTCBFS-of-googlemock-projects.patch. Fix cross-building
      projects that leverage GMockConfig.cmake. (Closes: #973580).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Nov 2020 08:57:31 +0100

cmake-extras (1.5-5) unstable; urgency=medium

  * debian/patches:
    + Fix 1006_...patch. Roll-back changes introduce to work around problems in
      Debian's googletest, introduced with 1.10.0.20201018-1, but amended in
      1.10.0.20201025-1. (Closes: #973214, #973163, #973078).
  * debian/control:
    + Update Suggests: field, with versioned googletest and libgtest-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Oct 2020 17:04:18 +0100

cmake-extras (1.5-4) unstable; urgency=medium

  * debian/patches:
    + Update 1006_fix-googletests-1_10_0.patch. Fix googlemock include
      directory.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 24 Oct 2020 18:13:55 +0200

cmake-extras (1.5-3) unstable; urgency=medium

  * debian/patches:
    + Add 1006_fix-googletests-1_10_0.patch. Update GMockConfig.cmake for
      googletest up to 1.10.0.20201018.
  * debian/tests/control:
    + Require libgtest-dev and pkg-config for gmock autopkgtest.
    + Trailing comma or all dependencies.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 24 Oct 2020 01:43:05 +0200

cmake-extras (1.5-2) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * debian/patches:
    + Add 1005_fix_intltool-demo.patch. Add #include of <locale.h> to
      examples/intltool-demo/src/main.cpp, fixing autopkgtest. (Closes:
      #946066).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 18 Oct 2020 20:30:14 +0200

cmake-extras (1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,copyright,watch}:
    + New upstream location (UBports' GitLab).
  * debian/patches:
    + Drop 0001_73_72.patch, 0002_74_73.patch and 0003_75_74.patch.
      Applied upstream.
    + Drop 1001_ensure-python3-usage.patch. Not used anymore.
  * debian/control:
    + Add Debian UBports Team to Uploaders: field.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 Feb 2020 14:06:44 +0100

cmake-extras (1.3+17.04.20170310-7) unstable; urgency=medium

  * Fixup several autopkgtests. Details, see below. (Closes:
    #947609).

  * debian/patches:
    + Update 1004_switch-to-python3.patch, Fix bytes vs. string issue.
  * debian/control:
    + Fix typo in Suggests: field name.
  * debian/tests/control:
    + Fix intltool test failure on Debian, add alternative D 'locales-all' to D
      'language-pack-en' (which only exists in Ubuntu and derivatives).
    + Update Ds (includechecker test): python-clang -> python3-clang.
    + Versioned test dependency on python3-clang (>= 0.49~). Currently only
      available in experimental. So, we have to expect the autopkgtest on this
      package to fail, until python3-clang is available in Debian unstable.
  * debian/tests/:
    + Make all test scripts executable.
  * debian/tests/{control,gdbus}:
    + Run gdbus test as dbus-test-runner task. We normally don't have a system
      DBus available in build/test chroots.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Jan 2020 12:43:46 +0100

cmake-extras (1.3+17.04.20170310-6) unstable; urgency=medium

  * debian/patches:
    + Add 1003_fix-googletests_1_9.patch. The libgtest*.a and libgmock*.a get
      installed to gmock_bin_dir/lib/ now.
    + Add 1004_switch-to-python3.patch. Port helper and demo scripts from Py2
      to Py3.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH comat level to version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
    + Update D (cmake-extras): python -> python3. (Closes: #942969).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 21 Nov 2019 10:58:15 +0100
