=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Uploaders:
  Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>,
  Debian CMake Team <pkg-cmake-team@lists.alioth.debian.org>,
+ Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: cmake,
-               debhelper (>= 11),
-Standards-Version: 4.2.1
-Homepage: https://launchpad.net/cmake-extras
+               debhelper-compat (= 12),
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://gitlab.com/ubports/core/cmake-extras/
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/cmake-extras.git
 Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/cmake-extras
 
@@ -17,7 +19,10 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          cmake (>= 3.1),
-         python,
+         pkg-config,
+         python3,
+Suggests: googletest (>= 1.10.0.20201025),
+          libgtest-dev,
 Description: Extra CMake utility modules
  CMake modules which are used for Ubuntu development. In Debian, this package is
  helpful when porting Ubuntu originated software to Debian.
