=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
   cmake,
   cmake-extras,
   googletest (>= 1.8.0) | google-mock,
+  libgtest-dev,
+  pkg-config,
 
 Tests: copyrighttest
 Restrictions: allow-stderr
@@ -12,7 +14,7 @@
   build-essential,
   cmake,
   cmake-extras,
-  licensecheck | devscripts (<< 2.16.6)
+  licensecheck | devscripts (<< 2.16.6),
 
 Tests: intltool
 Restrictions: allow-stderr
@@ -20,7 +22,7 @@
   build-essential,
   cmake,
   cmake-extras,
-  language-pack-en,
+  language-pack-en | locales-all,
   intltool,
   libglib2.0-dev,
   pkg-config,
@@ -44,7 +46,7 @@
   libclang-dev,
   libglib2.0-dev,
   pkg-config,
-  python-clang,
+  python3-clang (>= 0.49~),
 
 Tests: gsettings
 Restrictions: allow-stderr
@@ -63,6 +65,6 @@
   build-essential,
   cmake,
   cmake-extras,
-  dbus,
+  dbus-test-runner,
   libglib2.0-dev,
   pkg-config,
