=== debian/changelog ===
cmake-extras (1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 1002, 1003, 1005, 1006 and 1007. All integrated upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 02 Feb 2022 14:02:57 +0100

cmake-extras (1.5-8) unstable; urgency=medium

  * debian/patches:
    + Add 1008_src-DoxygenBuilder-Doxyfile.in-Create-Doxgen-documen.patch.
      Don't put <<PKGBUILDDIR>> into generated documentation files.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Bump DH compat level to version 13.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 Nov 2021 19:01:20 +0100
