=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  Debian CMake Team <pkg-cmake-team@lists.alioth.debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: cmake,
-               debhelper-compat (= 12),
-Standards-Version: 4.5.0
+               debhelper-compat (= 13),
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/core/cmake-extras/
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/cmake-extras.git
