=== debian/changelog ===
cmake-extras (1.8-1) unstable; urgency=medium

  * New upstream release.
    + Bump Standards-Version to 4.7.0. No changes needed.
    + In D:, switch from pkg-config to pkgconf.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 08 Feb 2025 16:58:13 +0100

cmake-extras (1.7-3) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 Jul 2024 09:09:54 +0200
