## cmake-extras 1.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.0.2)
-project(cmake-extras VERSION 1.8)
+cmake_minimum_required(VERSION 3.10)
+project(cmake-extras VERSION 1.9)
 
 include(GNUInstallDirs)
