=== examples/copyrighttest-demo/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 
-cmake_minimum_required(VERSION 3.0.2)
+cmake_minimum_required(VERSION 3.10)
 project(copyrighttest-demo LANGUAGES C CXX)
 
 include(CTest)
