=== examples/doxygenbuilder-demo/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(doxygenbuilder-demo LANGUAGES C CXX)

include(GNUInstallDirs)

add_subdirectory(doc)
