=== examples/includechecker-demo/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.10)
 project(includechecker-demo LANGUAGES C CXX)
 
 include(GNUInstallDirs)
