=== examples/includechecker-demo/test/CMakeLists.txt ===
add_subdirectory("demolib")
