=== examples/intltool-demo/python/CMakeLists.txt ===
install(PROGRAMS other_language_translations.py
        DESTINATION usr/bin)
