=== debian/changelog ===
cmake-extras (1.9-1) unstable; urgency=medium

  * New upstream release.
    - Bump cmake_minimum_required() to version 3.10. Fix building with
      CMake 4. (Closes: #1112795).
  * debian/copyright:
    + Update FSF mailing address.
    + Update copyright attributions for debian/.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Sep 2025 11:26:38 +0200
